using System;

internal sealed class Delegate486 : MulticastDelegate
{
	public extern bool? Invoke(object object_0);

	public static bool? smethod_0(object object_0, Delegate486 delegate486_1)
	{
		return delegate486_1(object_0);
	}

	public extern Delegate486(object object_0, IntPtr intptr_0);

	static Delegate486()
	{
		Class10.smethod_13(typeof(Delegate486).TypeHandle);
	}

	internal static Delegate486 delegate486_0;
}
